    001/*
    002    Licensed to the Apache Software Foundation (ASF) under one
    003    or more contributor license agreements.  See the NOTICE file
    004    distributed with this work for additional information
    005    regarding copyright ownership.  The ASF licenses this file
    006    to you under the Apache License, Version 2.0 (the
    007    "License"); you may not use this file except in compliance
    008    with the License.  You may obtain a copy of the License at
    009
    010       http://www.apache.org/licenses/LICENSE-2.0
    011
    012    Unless required by applicable law or agreed to in writing,
    013    software distributed under the License is distributed on an
    014    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    015    KIND, either express or implied.  See the License for the
    016    specific language governing permissions and limitations
    017    under the License.
    018 */
    019package org.apache.wiki.api.exceptions;
    020
    021
    022/**
    023 *  This exception may be thrown if a filter wants to reject something and redirect the user elsewhere.
    024 *
    025 *  @since 2.1.112
    026 */
    027public class RedirectException extends FilterException {
    028
    029    private static final long serialVersionUID = 6626993875873941172L;
    030
    031    private final String m_where;
    032
    033    /**
    034     *  Constructs a new RedirectException.
    035     *
    036     *  @param msg The message for the exception
    037     *  @param redirect The redirect URI.
    038     */
    039    public RedirectException( final String msg, final String redirect ) {
    040        super( msg );
    041        m_where = redirect;
    042    }
    043
    044    /**
    045     *  Get the URI for redirection.
    046     *
    047     *  @return The URI given in the constructor.
    048     */
    049    public String getRedirect() {
    050        return m_where;
    051    }
    052
    053}